- Qt 6.5
- Qt Location
- C++ Classes
- QPlaceContactDetail
- Qt 6.5.0 Reference Documentation

# QPlaceContactDetail Class

The QPlaceContactDetail class represents a contact detail such as a phone number or website url. More...

Header: | #include <QPlaceContactDetail>
qmake: | QT += location

- List of all members, including inherited members

## Properties

- label : QString
- value : QString

## Public Functions

| QPlaceContactDetail()
| QPlaceContactDetail(const QPlaceContactDetail &other)
| ~QPlaceContactDetail()
void | clear()
QString | label() const
void | setLabel(const QString &label)
void | setValue(const QString &value)
QString | value() const
QPlaceContactDetail & | operator=(const QPlaceContactDetail &other)

## Static Public Members

const QString | Email
const QString | Fax
const QString | Phone
const QString | Website

## Related Non-Members

bool | operator!=(const QPlaceContactDetail &lhs, const QPlaceContactDetail &rhs)
bool | operator==(const QPlaceContactDetail &lhs, const QPlaceContactDetail &rhs)

## Detailed Description

The detail consists of a label and value. The label is a localized string that can be presented to the end user that describes that detail value which is the actual phone number, email address and so on.

#### Contact Types

The QPlaceContactDetail class defines some constant strings which characterize standard contact types.

- QPlaceContactDetail::Phone
- QPlaceContactDetail::Email
- QPlaceContactDetail::Website
- QPlaceContactDetail::Fax

These types are used to access and modify contact details in QPlace via:

- QPlace::contactDetails()
- QPlace::setContactDetails()
- QPlace::appendContactDetail()
- QPlace::contactTypes()

The contact type is intended to be a string type so that providers are able to introduce new contact types if necessary.

## Property Documentation

### label : QString

This property holds a label describing the contact detail.

The label can potentially be localized. The language is dependent on the entity that sets it, typically this is the manager from which the places are sourced. The QPlaceManager::locales() field defines what language is used.

Access functions:

QString | label() const
void | setLabel(const QString &label)

### value : QString

This property holds the value of the contact detail.

Access functions:

QString | value() const
void | setValue(const QString &value)

## Member Function Documentation

### QPlaceContactDetail::QPlaceContactDetail()

Constructs a contact detail.

### QPlaceContactDetail::QPlaceContactDetail(const QPlaceContactDetail &other)

Creates a copy of other.

### QPlaceContactDetail::~QPlaceContactDetail()

Destroys the contact detail.

### void QPlaceContactDetail::clear()

Clears the contact detail.

### QPlaceContactDetail &QPlaceContactDetail::operator=(const QPlaceContactDetail &other)

Assigns other to this contact detail and returns a reference to this contact detail.

## Member Variable Documentation

### const QString QPlaceContactDetail::Email

The constant to specify email contact details.

### const QString QPlaceContactDetail::Fax

The constant used to specify fax contact details.

### const QString QPlaceContactDetail::Phone

The constant to specify phone contact details

### const QString QPlaceContactDetail::Website

The constant used to specify website contact details.

## Related Non-Members

### bool operator!=(const QPlaceContactDetail &lhs, const QPlaceContactDetail &rhs)

Returns true if the contact detail lhs is not equal to rhs, otherwise returns false.

### bool operator==(const QPlaceContactDetail &lhs, const QPlaceContactDetail &rhs)

Returns true if the contact detail lhs is equal to rhs, otherwise returns false.